diff -up ./scripts/Dpkg/Vendor/Debian.pm.org ./scripts/Dpkg/Vendor/Debian.pm
--- ./scripts/Dpkg/Vendor/Debian.pm.org	2022-12-21 11:07:11.032960709 +0000
+++ ./scripts/Dpkg/Vendor/Debian.pm	2023-01-31 15:43:22.743836679 +0000
@@ -100,6 +100,7 @@ sub _add_build_flags {
     my %use_feature = (
         future => {
             lfs => 0,
+            time64 => 0,
         },
         qa => {
             bug => 0,
@@ -187,13 +188,17 @@ sub _add_build_flags {
 
     ## Area: future
 
-    if ($use_feature{future}{lfs}) {
+    if ($use_feature{future}{lfs} or $use_feature{future}{time64}) {
         my ($abi_bits, $abi_endian) = Dpkg::Arch::debarch_to_abiattrs($arch);
         my $cpu_bits = Dpkg::Arch::debarch_to_cpubits($arch);
 
         if ($abi_bits == 32 and $cpu_bits == 32) {
+            # time64 future feature implies lfs
             $flags->append('CPPFLAGS',
                            '-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64');
+            if ($use_feature{future}{time64}) {
+                $flags->append('CPPFLAGS', '-D_TIME_BITS=64');
+            }
         }
     }
 
